DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
FGPixelMeasures Class Reference

Class representing the Pixel Measures Functional Group Macro. More...

Inheritance diagram for FGPixelMeasures:

## Public Member Functions
| FGPixelMeasures ()
| Constructor, creates empty Pixel Measures Functional Group.
virtual | ~FGPixelMeasures ()
| Virtual destructor, frees memory.
virtual FGBase * | clone () const
| Returns a deep copy of this object. More...
virtual DcmFGTypes::E_FGSharedType | getSharedType () const
| Returns shared type of this group (can be shared or per-frame) More...
virtual void | clearData ()
| Clear all data.
virtual OFCondition | check () const
| Check whether data in functional group is valid. More...
virtual OFCondition | read (DcmItem &item)
| Read functional group from given item. More...
virtual OFCondition | write (DcmItem &item)
| Write functional group to given item. More...
virtual OFCondition | getPixelSpacing (Float64 &value, const unsigned long pos=0)
| Get Pixel Spacing. More...
virtual OFCondition | getSliceThickness (Float64 &value, const unsigned long pos=0)
| Get Slice Thickness. More...
virtual OFCondition | getSpacingBetweenSlices (Float64 &value, const unsigned long pos=0)
| Get Spacing Between Slices. More...
virtual OFCondition | setPixelSpacing (const OFString &value, const OFBool checkValue=OFTrue)
| Set Pixel Spacing. More...
virtual OFCondition | setSliceThickness (const OFString &value, const OFBool checkValue=OFTrue)
| Set Slice Thickness. More...
virtual OFCondition | setSpacingBetweenSlices (const OFString &value, const OFBool checkValue=OFTrue)
| Set Spacing between Slices. More...
virtual int | compare (const FGBase &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value! Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable. More...
Public Member Functions inherited from FGBase
| FGBase (const DcmFGTypes::E_FGType fgType)
| Constructor, creates new functional group of given type. More...
virtual DcmFGTypes::E_FGType | getType () const
| Return the type of this functional group. More...
virtual | ~FGBase ()
| Virtual destructor.

## Private Attributes
DcmDecimalString | m_PixelSpacing
| Pixel Spacing (DS, VM 2, Required type 1C)
DcmDecimalString | m_SliceThickness
| Slice Thickness (DS, VM 1, Required type 1C)
DcmDecimalString | m_SpacingBetweenSlices
| Spacing Between Slices (DS, VM 1, Required type 3)

## Additional Inherited Members
Protected Member Functions inherited from FGBase
virtual OFCondition | getItemFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, const unsigned long itemNum, DcmItem *&result)
| Get the item containing the payload of a functional group sequence, identified by the functional group's sequence key provided and the desired item number. More...
virtual OFCondition | getNumItemsFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, unsigned long &result)
| Get number of items in a functional group sequence, identified by the functional group's sequence key. More...
virtual OFCondition | createNewFGSequence (DcmItem &destination, const DcmTagKey &seqKey, const unsigned long numItems, DcmItem *&firstItem)
| Create functional group sequence specified by given sequence tag key. More...

## Detailed Description

Class representing the Pixel Measures Functional Group Macro.

## Member Function Documentation

## ◆ check()

virtual OFCondition FGPixelMeasures::check | ( |  | ) | const
| virtual

Check whether data in functional group is valid.

Returns
  EC_Normal if data is valid, error otherwise

Implements FGBase.

## ◆ clone()

virtual FGBase* FGPixelMeasures::clone | ( |  | ) | const
| virtual

Returns a deep copy of this object.

Returns
  Deep copy of this object

Implements FGBase.

## ◆ compare()

virtual int FGPixelMeasures::compare | ( | const FGBase & | rhs | ) | const
| virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value! Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable.

This function is used in order to decide whether a functional group already exists, or is new. This is used in particular to find out whether a given functional group can be shared (i.e. the same information already exists as shared functional group) or is different from the same shared group. In that case the shared functional group must be distributed into per-frame functional groups, instead. The exact implementation for implementing the comparison is not relevant. However, it must be a comparison by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the this object, or all compared components match but this component is shorter. Also returned if this type and rhs type (DcmFGTypes::E_FGType) do not match. 1 if either the value of the first component that does not match is greater in this object, or all compared components match but this component is longer.

Implements FGBase.

## ◆ getPixelSpacing()

virtual OFCondition FGPixelMeasures::getPixelSpacing | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  |
| virtual

Get Pixel Spacing.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getSharedType()

virtual DcmFGTypes::E_FGSharedType FGPixelMeasures::getSharedType | ( |  | ) | const
| inline virtual

Returns shared type of this group (can be shared or per-frame)

Returns
  Always returns DcmFGTypes::EFGS_BOTH;

Implements FGBase.

References DcmFGTypes::EFGS_BOTH.

## ◆ getSliceThickness()

virtual OFCondition FGPixelMeasures::getSliceThickness | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  |
| virtual

Get Slice Thickness.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getSpacingBetweenSlices()

virtual OFCondition FGPixelMeasures::getSpacingBetweenSlices | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  |
| virtual

Get Spacing Between Slices.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ read()

virtual OFCondition FGPixelMeasures::read | ( | DcmItem & | item | ) |
| virtual

Read functional group from given item.

Parameters

  item | The item to read from, must contain Pixel Measures Sequence

Returns
  EC_Normal if reading was successful, error otherwise

Implements FGBase.

## ◆ setPixelSpacing()

virtual OFCondition FGPixelMeasures::setPixelSpacing | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Pixel Spacing.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (DS) and VM (2) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setSliceThickness()

virtual OFCondition FGPixelMeasures::setSliceThickness | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Slice Thickness.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setSpacingBetweenSlices()

virtual OFCondition FGPixelMeasures::setSpacingBetweenSlices | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Spacing between Slices.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ write()

virtual OFCondition FGPixelMeasures::write | ( | DcmItem & | item | ) |
| virtual

Write functional group to given item.

Parameters

  item | The item to write Pixel Measures Sequence to

Returns
  EC_Normal if writing was successful, error otherwise

Implements FGBase.

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgpixmsr.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1